import csv 

def load_score():
    HOME_JAM = 0
    HOME_JAMMER = 1
    HOME_LOST = 2
    HOME_LEAD = 3
    HOME_CALL = 4
    HOME_INJ = 5
    HOME_NP = 6
    HOME_PASS2 = 7
    HOME_PASS3 = 8
    HOME_PASS4 = 9
    HOME_PASS5 = 10
    HOME_PASS6 = 11
    HOME_PASS7 = 12
    HOME_PASS8 = 13
    HOME_PASS9 = 14

    VISIT_JAM = 19
    VISIT_JAMMER = 20
    VISIT_LOST = 21
    VISIT_LEAD = 22
    VISIT_CALL = 23
    VISIT_INJ = 24
    VISIT_NP = 25
    VISIT_PASS2 = 26
    VISIT_PASS3 = 27
    VISIT_PASS4 = 28
    VISIT_PASS5 = 29
    VISIT_PASS6 = 30
    VISIT_PASS7 = 31
    VISIT_PASS8 = 32
    VISIT_PASS9 = 33

    score_file = open('csv/Score.csv','r')
    score_reader = csv.reader(score_file, delimiter=';')


    # score_home = ([{'LEAD' : False, 
    #                 'CALL' : False, 
    #                 'PASS' : [5,4,1]}, {...}],
    #               [])
    score_home = ([], [])
    score_visit = ([], [])


    for period in [0,1]:

        while True:
            row = score_reader.next()
            if row[HOME_JAM] == '1':
                break

        while row[HOME_JAM]:

            # consume row
            home_jam = {
                'LEAD' : row[HOME_LEAD] == 'X',
                'CALL': row[HOME_CALL] == 'X',
                'JAMMER' : row[HOME_JAMMER],
                'PASS' : []
            }
            if row[HOME_PASS2]:
                home_jam['PASS'].append(int(row[HOME_PASS2]))
            if row[HOME_PASS3]:
                home_jam['PASS'].append(int(row[HOME_PASS3]))
            if row[HOME_PASS4]:
                home_jam['PASS'].append(int(row[HOME_PASS4]))
            if row[HOME_PASS5]:
                home_jam['PASS'].append(int(row[HOME_PASS5]))
            if row[HOME_PASS6]:
                home_jam['PASS'].append(int(row[HOME_PASS6]))
            if row[HOME_PASS7]:
                home_jam['PASS'].append(int(row[HOME_PASS7]))
            if row[HOME_PASS8]:
                home_jam['PASS'].append(int(row[HOME_PASS8]))
            if row[HOME_PASS9]:
                home_jam['PASS'].append(int(row[HOME_PASS9]))
            score_home[period].append(home_jam)

            visit_jam = { 
                'LEAD' : row[VISIT_LEAD] == 'X',
                'CALL': row[VISIT_CALL] == 'X',
                'JAMMER' : row[VISIT_JAMMER],
                'PASS' : []
            }
            if row[VISIT_PASS2]:
                visit_jam['PASS'].append(int(row[VISIT_PASS2]))
            if row[VISIT_PASS3]:
                visit_jam['PASS'].append(int(row[VISIT_PASS3]))
            if row[VISIT_PASS4]:
                visit_jam['PASS'].append(int(row[VISIT_PASS4]))
            if row[VISIT_PASS5]:
                visit_jam['PASS'].append(int(row[VISIT_PASS5]))
            if row[VISIT_PASS6]:
                visit_jam['PASS'].append(int(row[VISIT_PASS6]))
            if row[VISIT_PASS7]:
                visit_jam['PASS'].append(int(row[VISIT_PASS7]))
            if row[VISIT_PASS8]:
                visit_jam['PASS'].append(int(row[VISIT_PASS8]))
            if row[VISIT_PASS9]:
                visit_jam['PASS'].append(int(row[VISIT_PASS9]))
            score_visit[period].append(visit_jam)


            row = score_reader.next()

    return score_home, score_visit


#      score = ([{'LEAD' : False, 
#                 'CALL' : False, 
#                 'PASS' : [5,4,1]}, {...}],
#                 'JAMMER': '101',
#               [])
def points_by_jammer(score):
    jammer = dict() # jammer number -> sum of points
    for period in [0,1]:
        for jam in score[period]:
            if jam['JAMMER'] not in jammer:
                jammer[jam['JAMMER']] = 0
            jammer[jam['JAMMER']] += sum(jam['PASS'])
    return jammer


if __name__ == '__main__':
    home_score, visit_score = load_score()

    print "JAMMER SCORES"
    print "HOME"
    for jammer, total in points_by_jammer(home_score).items():
        print "jammer %4s scores total of %2d points"%(jammer, total)
    print "VISITORS"
    for jammer, total in points_by_jammer(visit_score).items():
        print "jammer %4s scores total of %2d points"%(jammer, total)
